Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76925 - default print action should be "|lpr"
Summary: default print action should be "|lpr"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: xpdf
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-29 15:40 UTC by ellson
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-29 15:40:47 UTC


Attachments (Terms of Use)

Description ellson 2002-10-29 15:40:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021017

Description of problem:
The current default action when the print button is clicked is
to print to a .ps file in /tmp.  This is not a useful default
and it is not obvious to the user how this needs to be changed to
make print print.  He would have to RTFM.

The default print action should be changed to "|lpr" in /etc/xpdfrc


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.open pdf doc with xpdf
2. click on oprint button
3.
	

Actual Results:  wants to print to file:
    /tmp/<basename>.ps

Expected Results:  print to printer

Additional info:

--- /etc/xpdfrc.orig    2002-08-26 18:09:54.000000000 -0400
+++ /etc/xpdfrc 2002-10-29 10:27:46.000000000 -0500
@@ -73,7 +73,7 @@

 # Set the default PostScript file or command.

-#psFile                        "|lpr -Pmyprinter"
+psFile                 "|lpr"

 # Set the default PostScript paper size -- this can be letter, legal,
 # A4, or A3.  You can also specify a paper size as width and height

Comment 1 Ngo Than 2002-11-08 00:34:57 UTC
It's fixed in 2.00-2 or newer. You will find it in next rawhide release.


Note You need to log in before you can comment on or make changes to this bug.